diff -ru lookout+/chrome/content/lookout.xul lookout+_fixed/chrome/content/lookout.xul
--- lookout+/chrome/content/lookout.xul	2011-10-05 16:25:42.000000000 -0400
+++ lookout+_fixed/chrome/content/lookout.xul	2018-08-01 11:02:46.168348674 -0400
@@ -35,7 +35,6 @@
   - 
   - ***** END LICENSE BLOCK ***** -->
 
-<?xml-stylesheet href="chrome://lookout/skin/overlay.css" type="text/css"?>
 <!DOCTYPE overlay SYSTEM "chrome://lookout/locale/lookout.dtd">
 <overlay id="lookout-overlay" xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul">
   <script type="application/x-javascript" src="chrome://lookout/content/mapi_props.js"/>
Only in lookout+/chrome/skin: overlay.css
diff -ru lookout+/chrome.manifest lookout+_fixed/chrome.manifest
--- lookout+/chrome.manifest	2011-10-20 12:58:57.000000000 -0400
+++ lookout+_fixed/chrome.manifest	2018-08-01 10:58:14.928335260 -0400
@@ -1,7 +1,6 @@
-content lookout                 jar:chrome/lookout.jar!/content/
-locale  lookout en-US           jar:chrome/lookout.jar!/locale/en-US/
-locale  lookout hu              jar:chrome/lookout.jar!/locale/hu/
-locale  lookout de              jar:chrome/lookout.jar!/locale/de/
-skin    lookout classic/1.0     jar:chrome/lookout.jar!/skin/
+content lookout                 chrome/content/
+locale  lookout en-US           chrome/locale/en-US/
+locale  lookout hu              chrome/locale/hu/
+locale  lookout de              chrome/locale/de/
+skin    lookout classic/1.0     chrome/skin/
 overlay chrome://messenger/content/mailWindowOverlay.xul chrome://lookout/content/lookout.xul
-
diff -ru lookout+/install.rdf lookout+_fixed/install.rdf
--- lookout+/install.rdf	2013-10-15 18:14:50.000000000 -0400
+++ lookout+_fixed/install.rdf	2018-08-01 11:00:23.937341640 -0400
@@ -2,7 +2,7 @@
 <RDF xmlns="http://www.w3.org/1999/02/22-rdf-syntax-ns#" xmlns:em="http://www.mozilla.org/2004/em-rdf#">
   <Description about="urn:mozilla:install-manifest">
     <em:id>lookout@addons.mozilla.org</em:id>
-    <em:version>1.2.15</em:version>
+    <em:version>1.2.16</em:version>
     <em:type>2</em:type>
     <em:localized>
       <Description>
@@ -32,12 +32,27 @@
     <em:iconURL>chrome://lookout/skin/LOicon-32.png</em:iconURL>
     <em:icon64URL>chrome://lookout/skin/LOicon-64.png</em:icon64URL>
 
-    <!-- Thunderbird -->
     <em:targetApplication>
       <Description>
-        <em:id>{3550f703-e582-4d05-9a08-453d09bdfdc6}</em:id>
+        <em:id>{3550f703-e582-4d05-9a08-453d09bdfdc6}</em:id> <!-- Thunderbird/FossaMail -->
         <em:minVersion>1.5</em:minVersion>
-        <em:maxVersion>24.*</em:maxVersion>
+        <em:maxVersion>52.*</em:maxVersion>
+      </Description>
+    </em:targetApplication>
+
+    <em:targetApplication>
+      <Description>
+        <em:id>{3aa07e56-beb0-47a0-b0cb-c735edd25419}</em:id> <!-- Icedove-UXP -->
+        <em:minVersion>52.0</em:minVersion>
+        <em:maxVersion>52.*</em:maxVersion>
+       </Description>
+     </em:targetApplication>
+
+    <em:targetApplication>
+      <Description>
+        <em:id>{9184b6fe-4a5c-484d-8b4b-efbfccbfb514}</em:id> <!-- Iceape-UXP -->
+        <em:minVersion>52.0</em:minVersion>
+        <em:maxVersion>52.*</em:maxVersion>
       </Description>
     </em:targetApplication>
 
@@ -46,7 +61,7 @@
       <Description>
 	<em:id>{92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a}</em:id>
 	<em:minVersion>1.0</em:minVersion>  <!-- v2.0 changed to toolkit/-style extensions -->
-	<em:maxVersion>2.21.*</em:maxVersion>
+	<em:maxVersion>2.49.*</em:maxVersion>
       </Description>
     </em:targetApplication>
 
